Bug 130151 - Bookmarks point to incorrect pages in exported PDF if document contains a hidden section
Summary: Bookmarks point to incorrect pages in exported PDF if document contains a hid...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Bookmarks
  Show dependency treegraph
 
Reported: 2020-01-23 19:35 UTC by Buovjaga
Modified: 2020-07-03 08:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Bad ToC in PDF (518.93 KB, application/pdf)
2020-06-29 10:36 UTC, Buovjaga
Details
Good ToC in PDF (517.37 KB, application/pdf)
2020-06-29 10:36 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2020-01-23 19:35:10 UTC
1. Open attachment 157132 [details]
2. Export to PDF (export bookmarks)
3. Open in a PDF viewer, see bookmarks, click Status Bar under Calc Main Window -> Toolbars

Good: page 5
Bad: page 10

Bibisected with win32-6.3 to https://gerrit.libreoffice.org/plugins/gitiles/core/+/055480aac88e4688619e9a7815e0a8b0ab97a5a1%5E!/

Adding Cc: to Samuel Mehrbrodt

Mentioned in bug 84913
Comment 1 Buovjaga 2020-06-29 10:36:08 UTC
Created attachment 162499 [details]
Bad ToC in PDF
Comment 2 Buovjaga 2020-06-29 10:36:29 UTC
Created attachment 162500 [details]
Good ToC in PDF
Comment 3 Commit Notification 2020-06-30 12:14:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63f3485b57904de4e77c04f5759e6563fcce6748

tdf#130151 Fix toc pointing to wrong page

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-01 15:10:32 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3bd01dc22c18acbca14b52bb982e7effd5a2b8a8

tdf#130151 Fix toc pointing to wrong page

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-03 08:34:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/23f871ff12d3dbb37ac7a4cbe51bf6f15661afe4

tdf#130151 Fix toc pointing to wrong page

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.